//
//																	
//	ExifStamp														
//		t@C̃^CX^v Exif Be					
//																	
//

#ifndef Unit1H
#define Unit1H

//---------------------------------------------------------------------------
#include <System.Classes.hpp>
#include <System.Actions.hpp>
#include <Controls.hpp>
#include <Vcl.Forms.hpp>
#include <Vcl.StdCtrls.hpp>
#include <Vcl.ComCtrls.hpp>
#include <Vcl.ActnList.hpp>
#include <Vcl.ExtCtrls.hpp>
#include <Vcl.FileCtrl.hpp>
#include <Vcl.Dialogs.hpp>
#include <Vcl.ExtDlgs.hpp>
#include <inifiles.hpp>

//---------------------------------------------------------------------------
#define VERSION_STR "1.10"

//---------------------------------------------------------------------------
class TExifStampForm : public TForm
{
__published:	// IDE Ǘ̃R|[lg
	TAction *ClrListAction;
	TAction *StartAction;
	TActionList *ActionList1;
	TButton *AddDirBtn;
	TButton *AddFileBtn;
	TButton *ClrListBtn;
	TButton *ExeButton;
	TCheckBox *OptLogCheckBox;
	TCheckBox *OptSubCheckBox;
	TLabeledEdit *FextEdit;
	TListBox *FileListBox;
	TOpenDialog *OpenDialog1;
	TPanel *OpPanel;
	TStatusBar *StatusBar1;

	void __fastcall AddDirBtnClick(TObject *Sender);
	void __fastcall FormCreate(TObject *Sender);
	void __fastcall FormDestroy(TObject *Sender);
	void __fastcall FormShow(TObject *Sender);
	void __fastcall FormClose(TObject *Sender, TCloseAction &Action);
	void __fastcall FormResize(TObject *Sender);
	void __fastcall FileListBoxData(TWinControl *Control, int Index, UnicodeString &Data);
	void __fastcall FileListBoxDrawItem(TWinControl *Control, int Index, TRect &Rect, TOwnerDrawState State);
	void __fastcall AddFileBtnClick(TObject *Sender);
	void __fastcall StartActionExecute(TObject *Sender);
	void __fastcall StartActionUpdate(TObject *Sender);
	void __fastcall ClrListActionExecute(TObject *Sender);
	void __fastcall ClrListActionUpdate(TObject *Sender);

private:	// [U[錾
	bool Working;			//
	bool Finished;			//ς
	UnicodeString ImgSrcDir;

	TIniFile	  *IniFile;
	TStringList   *ImgFileList;		//Ώۃt@CXg
	TStringList   *ListBoxBuff;		//Xg{bNX\pobt@

	void __fastcall WMDropFiles(TWMDropFiles &Msg);
	void __fastcall get_Files(UnicodeString pnam, TStrings *lst);
	void __fastcall ClearList();

public:		// [U[錾
	__fastcall TExifStampForm(TComponent* Owner);

	BEGIN_MESSAGE_MAP
		VCL_MESSAGE_HANDLER(WM_DROPFILES, TWMDropFiles, WMDropFiles)
	END_MESSAGE_MAP(TForm)
};
//---------------------------------------------------------------------------
extern PACKAGE TExifStampForm *ExifStampForm;
//---------------------------------------------------------------------------
#endif
